Change log for libxinerama package in Ubuntu

123 of 23 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-02-12
Deleted in disco-proposed (Reason: moved to release)
libxinerama (2:1.1.4-2) unstable; urgency=high

  * Restore dh_makeshlibs override lost in 2:1.1.4-1, fixing udeb dependencies
    (closes: #921715).  Thanks, Simon McVittie!
  * Let uscan check upstream tarball signatures.

 -- Julien Cristau <email address hidden>  Fri, 08 Feb 2019 11:51:27 +0100

Available diffs

Superseded in disco-release on 2019-02-12
Published in cosmic-release on 2018-09-04
Deleted in cosmic-proposed (Reason: moved to release)
libxinerama (2:1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * control: Update VCS urls.
  * Bump compat to 11, migrate to dh.
  * Purge xsfbs.
  * source: Mark as format 1.0.
  * control: Drop Cyril from uploaders.
  * Migrate to -dbgsym.
  * control: Bump policy to 4.2.0, no changes.

 -- Timo Aaltonen <email address hidden>  Thu, 30 Aug 2018 15:25:27 +0300

Available diffs

Superseded in cosmic-release on 2018-09-04
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
libxinerama (2:1.1.3-1) sid; urgency=low


  * New upstream release.
  * Bump debhelper compat level to 7.
  * Use dpkg-buildflags.
  * Use dh_prep instead of dh_clean -k.
  * Disable silent build rules.

 -- Julien Cristau <email address hidden>  Sun, 30 Jun 2013 18:05:54 +0200

Available diffs

Obsolete in quantal-updates on 2015-04-24
Obsolete in quantal-security on 2015-04-24
libxinerama (2:1.1.2-1ubuntu0.12.10.1) quantal-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    incorrect memory size calculations
    - 7ce3ce4be46087f9cc57cb415875abaaa961f734
    - 99c644fc8488657bdd106717df7446d606f9ef22
    - CVE-2013-1985
 -- Marc Deslauriers <email address hidden>   Tue, 28 May 2013 10:00:07 -0400
Obsolete in raring-updates on 2015-04-24
Obsolete in raring-security on 2015-04-24
libxinerama (2:1.1.2-1ubuntu0.13.04.1) raring-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    incorrect memory size calculations
    - 7ce3ce4be46087f9cc57cb415875abaaa961f734
    - 99c644fc8488657bdd106717df7446d606f9ef22
    - CVE-2013-1985
 -- Marc Deslauriers <email address hidden>   Tue, 28 May 2013 10:00:07 -0400
Published in precise-updates on 2013-06-05
Published in precise-security on 2013-06-05
libxinerama (2:1.1.1-3ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    incorrect memory size calculations
    - 7ce3ce4be46087f9cc57cb415875abaaa961f734
    - 99c644fc8488657bdd106717df7446d606f9ef22
    - CVE-2013-1985
 -- Marc Deslauriers <email address hidden>   Tue, 28 May 2013 10:02:42 -0400
Superseded in saucy-release on 2013-07-01
Deleted in saucy-proposed on 2013-07-02 (Reason: moved to release)
libxinerama (2:1.1.2-1+deb7u1) wheezy-security; urgency=high


  * integer overflow in XineramaQueryScreens() [CVE-2013-1985]

 -- Julien Cristau <email address hidden>  Tue, 14 May 2013 16:48:48 +0200

Available diffs

Superseded in saucy-release on 2013-05-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
libxinerama (2:1.1.2-1) unstable; urgency=low


  * New upstream release.
  * Make libxinerama-dev Multi-Arch: same.
  * Don't require (fake)root for debian/rules clean.

 -- Julien Cristau <email address hidden>  Thu, 19 Apr 2012 21:27:51 +0200
Superseded in quantal-release on 2012-05-09
Published in precise-release on 2012-03-02
libxinerama (2:1.1.1-3build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)
 -- Martin Pitt <email address hidden>   Wed, 29 Feb 2012 17:58:41 +0100

Available diffs

Superseded in precise-release on 2012-03-02
Obsolete in oneiric-release on 2015-04-24
libxinerama (2:1.1.1-3) unstable; urgency=low

  * Team upload.
  * Don't ship debug symbols for the udeb in libxinerama1-dbg.
  * Add build-{arch,indep} debian/rules targets.

Available diffs

Superseded in oneiric-release on 2011-06-12
Obsolete in natty-release on 2013-06-04
libxinerama (2:1.1.1-1ubuntu1) natty; urgency=low

  * FFe LP: #733501: build for multiarch.
 -- Steve Langasek <email address hidden>   Wed, 23 Mar 2011 23:08:42 -0700

Available diffs

Superseded in natty-release on 2011-03-24
libxinerama (2:1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Bump xutils-dev build-dep for new macros.
  * Switch from --list-missing to --fail-missing for additional safety.
  * Add -XlibXinerama.la accordingly.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  07 Nov 2010 11:50:02 +0000

Available diffs

Superseded in natty-release on 2010-11-07
Obsolete in maverick-release on 2013-03-05
libxinerama (2:1.1-3) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Cyril Brulebois ]
  * Add udeb needed for the graphical installer: libxinerama1-udeb.
  * Version/Bump some B-D to make sure the udeb gets its dependencies on
    the (recently-added) udebs rather than on the libraries:
     - libx11-dev
     - libxext-dev
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Add myself to Uploaders.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 13:56:31 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
libxinerama (2:1.1-2) unstable; urgency=low

  * Upload to unstable.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  22 Jan 2010 11:26:00 +0000

Available diffs

Superseded in lucid-release on 2010-01-22
libxinerama (2:1.1-1) experimental; urgency=low

  [ Brice Goglin ]
  * Add upstream URL to debian/copyright.
  * Add a link to www.X.org and a reference to the upstream module
    in the long description.

  [ Timo Aaltonen ]
  * New upstream release (closes: #555997).
  * Run autoreconf on build. Add build-deps on automake, libtool
    and xutils-dev.
  * Parse space-separated DEB_BUILD_OPTIONS, and handle parallel=N.
  * Bump Standards-Version to 3.8.3.
  * Add headers to libxinerama-dev, moved from x11proto-xinerama-dev.
  * Bump {Build-,}Depends, add Replaces on x11proto-xinerama-dev.
  * Move -dbg package to section debug.
  * Drop pre-dependency on x11-common from libxinerama-dev. This was needed
    for upgrades from sarge.
 -- Timo Aaltonen <email address hidden>   Thu,  03 Dec 2009 21:38:20 +0000

Available diffs

Superseded in lucid-release on 2009-12-03
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
libxinerama (2:1.0.3-2) unstable; urgency=low

  [ Julien Cristau ]
  * libxinerama1{,-dbg} don't need to depend on x11-common.
  * libxinerama-dev doesn't install any header, remove usr/include/X11/ from
    libxinerama-dev.install.

  [ Andres Salomon ]
  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fix.
  * Version x11-common pre-dep in -dev package to 1:7.0.0 to match
    the rest of Debian.
  * Bump debhelper compat to 5.
  * Fix dh_strip call to skip the -dbg package.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  19 May 2008 13:39:38 +0100
Superseded in intrepid-release on 2008-05-19
libxinerama (2:1.0.3-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * Bump the epoch so that this can be synced to Ubuntu in the future.

  [ Julien Cristau ]
  * New upstream release.
  * debian/control updates:
    + add myself to Uploaders, remove Fabio and Branden with their permission
    + bump Standards-Version to 3.7.3
    + drop the XS- prefix from Vcs fields
    + drop -1 revisions from build-depends to please lintian
    + use ${binary:Version} instead of ${Source-Version}

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:17:35 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
libxinerama (2:1.0.2-1build1) gutsy; urgency=low

  * Sync to debian, re-bump epoch to 2

Superseded in gutsy-release on 2007-07-25
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
libxinerama (2:1.0.1-4build1) edgy; urgency=low

  * Fakesync from Debian, bump epoch.

Superseded in edgy-release on 2006-07-07
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
libxinerama (2:1.0.1-0ubuntu2) dapper; urgency=low


  * Change dependency on x-common to x11-common.

 -- Daniel Stone <email address hidden>  Thu, 19 Jan 2006 18:29:15 +1100
Superseded in dapper-release on 2006-01-31
libxinerama (2:1.0.1-0ubuntu1) dapper; urgency=low


  * New upstream release.

 -- Daniel Stone <email address hidden>  Thu,  5 Jan 2006 13:50:15 +1100
Superseded in dapper-release on 2006-01-31
libxinerama (2:1.0.0-0ubuntu1) dapper; urgency=low


  * New upstream release.

 -- Daniel Stone <email address hidden>  Wed, 21 Dec 2005 13:16:38 +1100
Obsolete in breezy-release on 2008-03-25
libxinerama (1:1.1.0+cvs.20050821-1) breezy; urgency=low


  * Update to new upstream version; change x11proto-panoramix-dev B-D to
    -xinerama-.

 -- Daniel Stone <email address hidden>  Sun, 21 Aug 2005 21:13:57 +1000
123 of 23 results